Bug 215026 - irc/quassel: PostregSQL option + restructure options
Summary: irc/quassel: PostregSQL option + restructure options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-12-03 13:28 UTC by Christian Schwarz
Modified: 2016-12-24 03:49 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (woodsb02)


Attachments
The patch with the changes described in the bug report. (4.86 KB, patch)
2016-12-03 13:28 UTC, Christian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Schwarz 2016-12-03 13:28:21 UTC
Created attachment 177634 [details]
The patch with the changes described in the bug report.

irc/quassel: PostregSQL option + restructure options

PostgreSQL support:
  Qt decides at run-time whether the PostgreSQL driver is installed
  and only then allows running Quassel with that database backend.

  The fix without this patch is to manually install databases/qt5-sqldrivers-pgsql

  Users might run into this issue when migrating from Sqlite3 to PostgreSQL.

Restructuring of master/slave port:
  Only fairly recently has irc/quassel been split up into
  irc/quassel and irc/quassel-core.

  Adding the explicit backend-knobs (see above) would have required
  adding them only to the irc/quassel-core port.

  The handbook states that the slave should really only override
  config knobs and otherwise differ as little as possible from master.

  Hence, despite of the addition of several '.if ${PORT_OPTIONS:}',
  this change unifies all options in the master port.

  Side effect, which may require a note in UPDATING:
  the MODULE option had to be made a RADIO.
  -> some users might need to reconfig
Comment 1 Christian Schwarz 2016-12-16 09:35:07 UTC
Any progress / comments on this one?

Is the change so big it should go into Phabricator?
Comment 2 Ben Woods freebsd_committer 2016-12-17 00:27:08 UTC
Apologies, I had missed this bug report.

In general it looks sensible. I'll have a look at it this weekend.

Cheers,
Ben
Comment 3 Ben Woods freebsd_committer 2016-12-17 00:27:36 UTC
Also - no phabricator required.
Comment 4 Ben Woods freebsd_committer 2016-12-24 03:48:57 UTC
Committed, with a few changes. Thanks for the submission!
Comment 5 commit-hook freebsd_committer 2016-12-24 03:49:15 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Dec 24 03:48:31 UTC 2016
New revision: 429306
URL: https://svnweb.freebsd.org/changeset/ports/429306

Log:
  irc/quassel and irc/quassel-core: Add PostgreSQL option

  - Qt decides at run-time which SQL drivers are installed and only then
    allows running Quassel with those database backends.
  - Also reformat to minimise diff of irc/quassel-core (slave) from
    irc/quassel (master) as much as possible (per recommendation in
    the Porter's handbook).

  PR:		215026
  Submitted by:	Christian Schwarz <me@cschwarz.com>
  Approved by:	adamw (mentor, implicit)

Changes:
  head/irc/quassel/Makefile
  head/irc/quassel-core/Makefile